Summary:  Python MySQL module. 
Name: MySQLmodule
%define version 1.4
%define release 1
Version: %{version}
Release: %{release}
Provides: MySQLmodule
Requires: python = 1.5.1
ExclusiveArch: i386 sparc alpha
Buildroot: /var/tmp/pymysql-root
Copyright: distributable
Group: Development/Languages
Source: MySQLmodule-%{version}.tar.gz
URL: http://www.tcx.se/
Packager: Eric Lee Green <eric@linux-hw.com>

%description
The MySQL module for Python allows you to access the MySQL database from
within Python programs. Note: This does not require the MySQL client programs
to be installed on your machine, but does require a MySQL server installed
somewhere on your network (of course). 

%prep
%setup -q


%build

gcc -shared -I/usr/include/python1.5 -I/usr/include/mysql \
     MySQLmodule.c  -L/usr/lib/mysql -lmysqlclient  \
     -o MySQLmodule.so       

%install

rm -rf $RPM_BUILD_ROOT
LIBDIR=$RPM_BUILD_ROOT/usr/lib/python1.5/lib-dynload
mkdir -p $LIBDIR
cp MySQLmodule.so $LIBDIR
chown root $LIBDIR/MySQLmodule.so
chgrp root $LIBDIR/MySQLmodule.so
chmod 755 $LIBDIR/MySQLmodule.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/python1.5/lib-dynload

%doc README Credits

%changelog
* Mon Apr 4 1999 Eric Gree <eric@linux-hw.com>
- Initial module version. 
